#include<bits/stdc++.h>
using namespace std;
int main()
{
  int n;
  string s;
  cin >> n >> s;
  if (n<26)
  {
    cout << 0;
    return 0;
  }
  if (n==26)
  {
    if (s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
    {
        cout << 1;
        return 0;
    }
    cout << 0;
  }
  if (n==27)
  {
    string s1;
    for (int i=0; i<26; i++)
    {
      s1=s.substr(0,i)+s.substr(i+1,26-i);
      if (s1=="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
      {
        cout << 1;
        return 0;
      }
    }
    cout << 0;
  }
  return 0;
}